Last Comment Bug 678447 - ###!!! ASSERTION: frame tree not empty, but caller reported complete status: 'aSubtreeRoot->GetPrevInFlow()'
: ###!!! ASSERTION: frame tree not empty, but caller reported complete status: ...
Status: RESOLVED FIXED
: testcase
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: mozilla8
Assigned To: Bernd
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 22:25 PDT by Bernd
Modified: 2016-03-05 01:11 PST (History)
3 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (201 bytes, text/html)
2011-08-11 22:25 PDT, Bernd
no flags Details
patch v1 (1.60 KB, patch)
2011-08-11 22:35 PDT, Bernd
roc: review+
Details | Diff | Splinter Review
patch v2 (1.60 KB, patch)
2011-08-12 08:57 PDT, Bernd
no flags Details | Diff | Splinter Review

Description Bernd 2011-08-11 22:25:58 PDT
Created attachment 552596 [details]
testcase

tables are not able to pull back from the next inflow the children if the space permits it. The column set reflow expects  that its children are able to do this. We need to block this.

Normally this is blocked by check if the context is paginated but during printing this check does not work anymore.

To test this hit print preview with a debug build
Comment 1 Bernd 2011-08-11 22:35:06 PDT
Created attachment 552598 [details] [diff] [review]
patch v1
Comment 2 Bernd 2011-08-12 08:57:39 PDT
Created attachment 552668 [details] [diff] [review]
patch v2

I pushed this together with bug 576890 successfully over try
http://tbpl.mozilla.org/?tree=Try&rev=612440d3090f

the Crashtest failure is another bug 439258  in editor that has nothing to do with printing
Comment 3 Bernd 2011-08-12 09:31:45 PDT
s/bug 576890 /bug 675490 /
Comment 4 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-08-12 14:53:02 PDT
Instead, shouldn't we be making sure that tables never break in columns even if we're printing?
Comment 5 Bernd 2011-08-12 22:21:13 PDT
Comment on attachment 552598 [details] [diff] [review]
patch v1

that was my first idea
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-14 05:12:36 PDT
http://hg.mozilla.org/mozilla-central/rev/bddfa5c83a6e

Note You need to log in before you can comment on or make changes to this bug.